HTTP Anti-Virus Proxy
http://havp.hege.li/forum/

havp sysinit patch
http://havp.hege.li/forum/viewtopic.php?f=3&t=180
Page 1 of 1

Author:  olaf [ 31 Oct 2006 20:42 ]
Post subject:  havp sysinit patch

Hi,

here my patch for use with init - I had to add these on my debian/etch to get the pid stuff working. /var/run is on /dev/shm on my machine...

Regards
Olaf

Quote:
--- havp~ 2006-10-29 20:01:46.000000000 +0100
+++ havp 2006-10-29 20:03:05.000000000 +0100
@@ -19,8 +19,8 @@
NAME=havp
DESC=havp
DAEMON=/usr/sbin/$NAME
-TOPPIDDIR=/var/run/$NAME
-PIDFILE=$TOPPIDDIR/$NAME.pid
+PIDDIR=/var/run/$NAME
+PIDFILE=$PIDDIR/$NAME.pid

test -x $DAEMON || exit 0

@@ -34,12 +34,12 @@
case "$1" in
start)
echo -n "Starting $DESC: "
- if test ! -d $TORPIDDIR; then
- echo "There is no $TORPIDDIR directory. Creating one for you."
- mkdir -m 02700 "$TORPIDDIR"
- chown havp:havp "$TORPIDDIR"
+ if test ! -d $PIDDIR; then
+ echo "There is no $PIDDIR directory. Creating one for you."
+ mkdir -m 02700 "$PIDDIR"
+ chown havp:havp "$PIDDIR"
fi
- if test ! -x $TORPIDDIR; then echo "Cannot access $TORPIDDIR directory, are you root?" >&2; exit 1;
+ if test ! -x $PIDDIR; then echo "Cannot access $PIDDIR directory, are you root?" >&2; exit 1;
else
start-stop-daemon --start --quiet --pidfile $PIDFILE \
--exec $DAEMON -- $DAEMON_OPTS

Page 1 of 1 All times are UTC + 2 hours [ DST ]
Powered by phpBB® Forum Software © phpBB Group
https://www.phpbb.com/